{% extends 'partials/base.html.twig' %}
{% set collection = page.collection() %}
{% set show_breadcrumbs = header_var('show_breadcrumbs', [page, blog])|defined(true) %}
{% set show_pagination = header_var('show_pagination', [page, blog])|defined(true) %}

{% block body %}
    <section id="body-wrapper" class="section blog-listing">

        {% if show_breadcrumbs and config.plugins.breadcrumbs.enabled %}
            {% include 'partials/breadcrumbs.html.twig' %}
        {% endif %}
        <div class="container py-20">
            {% if collection|length > 0 %}
                <h2 class="title-section">{{ 'ETD_DOCUMENTS.TITLE.CHILDREN_CATEGORIES'|t }}</h2>
                <div class="flex justify-center my-12">

                    {% for child in collection %}

                        {# On compte le nombre de documents total #}
                        {% set nbDocs = 0 %}
                        {% for section in child.header.sections %}
                            {% set nbDocs = nbDocs + (section.documents|length) %}
                        {% endfor %}

                        <a href="{{ child.url() }}" class="w-80 flex items-center p-4 bg-primary text-white mx-4 border border-primary hover:bg-white hover:text-primary">
                            <i class="fa-solid fa-folder fa-2x px-2"></i>
                            <div class="px-2">
                                <h3 class="text-lg font-bold">{{ child.title }}</h3>
                                <span class="italic text-sm">{{ nbDocs }} {{ 'ETD_DOCUMENTS.DOCUMENTS.ITEMS'|t }}</span>
                            </div>
                        </a>


                    {% endfor %}
                </div>
            {% endif %}
            {% if page.header.sections|length > 0 %}
                <h2 class="title-section">{{ page.title }}</h2>
                <div class="my-12">{{ page.content|markdown }}</div>
                {% for section in page.header.sections %}
                    <div class="my-10">
                        <div class="bg-primary text-white p-4 font-bold text-xl border-b-8 border-secondary">
                            <i class="fa-solid fa-bars-staggered mr-4"></i>{{ section.title }}
                        </div>
                        <div class="p-4">
                            <div class="grid grid-cols-5 gap-4">
                                {% for document in section.documents|reverse %}
                                    {% set document = document|merge({'category': '','route':page.route, 'thumbnail': etddocuments.genPdfThumbnail(page.path ~ '/' ~ (document.document|first).path, (document.document|first).name ~'.jpg'), 'couverture': etddocuments.genPdfThumbnail(page.path ~ '/' ~ (document.document|first).path, (document.document|first).name ~'.jpg'), 'document': (document.document|first).name }) %}
                                    <div class="bg-primary/25 p-4 h-full img-card-menu">
                                        {% include "partials/components/card-document-page.html.twig" with {document: document} %}
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                {% endfor %}
            {% endif %}
        </div>
    </section>
{% endblock %}
